Developers
V1MeWeb push

Whether browser notifications can be turned on, and this account's browsers

enabled is false (and publicKey null) while the server cannot send; the page then hides its opt-in and never prompts. Endpoints and keys are never returned.

GET
/v1/me/web-push
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/me/web-push"
{  "enabled": true,  "publicKey": "string",  "subscriptions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "consentAt": "2019-08-24T14:15:22Z"    }  ],  "pushCategories": [    "community"  ]}